# class GxG::Networking::ZMQ::ZmqClient - RDoc Documentation

# class GxG::Networking::ZMQ::ZmqClient

### Public Class Methods

new(params={}) click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 184
    def initialize(params={})
      params = self.vetted_parameters(params)
      @connector = ::EZMQ::Client.new(params[:options])
      @connector.socket.identity = ::Celluloid::UUID::random_generate.to_s
      @open = true
      self
    end

### Public Instance Methods

request(message="", **options) click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 192
    def request(message="", **options)
      @connector.request(message.to_s,options)
    end